RanklyBee logoRanklyBee
Blocked domains

Block a prospect domain

Requires the blocked-domains:write scope.

POST
/workspaces/{workspaceId}/sites/{siteId}/blocked-domains

Requires the blocked-domains:write scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

prospectId*string
reason*string
Length5 <= length <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/sites/string/blocked-domains" \  -H "Content-Type: application/json" \  -d '{    "prospectId": "string",    "reason": "string"  }'
{  "ok": true,  "data": {    "domain": "string",    "prospectId": "string",    "status": "blocked",    "reason": "string"  }}